/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */

using System;
using System.IO;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Reflection;
using RestSharp;
using Xunit;

using Coscine.ApiClient.Core.Client;
using Coscine.ApiClient.Core.Api;
// uncomment below to import models
//using Coscine.ApiClient.Core.Model;

namespace Coscine.ApiClient.Core.Test.Api
{
    /// <summary>
    ///  Class for testing ProjectPublicationRequestApi
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the API endpoint.
    /// </remarks>
    public class ProjectPublicationRequestApiTests : IDisposable
    {
        private ProjectPublicationRequestApi instance;

        public ProjectPublicationRequestApiTests()
        {
            instance = new ProjectPublicationRequestApi();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of ProjectPublicationRequestApi
        /// </summary>
        [Fact]
        public void InstanceTest()
        {
            // TODO uncomment below to test 'IsType' ProjectPublicationRequestApi
            //Assert.IsType<ProjectPublicationRequestApi>(instance);
        }

        /// <summary>
        /// Test ApiV2ProjectsProjectIdPublicationsRequestsOptions
        /// </summary>
        [Fact]
        public void ApiV2ProjectsProjectIdPublicationsRequestsOptionsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //instance.ApiV2ProjectsProjectIdPublicationsRequestsOptions(projectId);
        }

        /// <summary>
        /// Test CreatePublicationRequest
        /// </summary>
        [Fact]
        public void CreatePublicationRequestTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //PublicationRequestForCreationDto? publicationRequestForCreationDto = null;
            //var response = instance.CreatePublicationRequest(projectId, publicationRequestForCreationDto);
            //Assert.IsType<ProjectPublicationRequestDtoResponse>(response);
        }

        /// <summary>
        /// Test GetPublicationRequest
        /// </summary>
        [Fact]
        public void GetPublicationRequestTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //Guid publicationRequestId = null;
            //var response = instance.GetPublicationRequest(projectId, publicationRequestId);
            //Assert.IsType<ProjectPublicationRequestDtoResponse>(response);
        }
    }
}
